Index: src/main/java/com/example/rezevirajmasa/demo/model/Reservation.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/Reservation.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/model/Reservation.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,21 +1,11 @@
 package com.example.rezevirajmasa.demo.model;
 
-import com.example.rezevirajmasa.demo.dto.PreorderedItemDto;
-import com.fasterxml.jackson.annotation.JsonBackReference;
-import com.fasterxml.jackson.annotation.JsonManagedReference;
 import jakarta.persistence.*;
-import lombok.Data;
-import lombok.Getter;
-import lombok.Setter;
 
-import java.math.BigDecimal;
 import java.time.LocalDateTime;
 import java.time.LocalTime;
-import java.util.ArrayList;
-import java.util.List;
 
 @Entity
 @Table(name = "reservations")
-@Data
 public class Reservation {
 
@@ -26,11 +16,9 @@
 
     @ManyToOne
-    @JoinColumn(name = "UserID")
-    @JsonBackReference(value = "user-reservations")
-    private User user;
+    @JoinColumn(name = "CustomerID")
+    private Customer customer;
 
     @ManyToOne
     @JoinColumn(name = "TableNumber", nullable = false)
-    @JsonBackReference
     private TableEntity table;
 
@@ -48,18 +36,17 @@
     private String specialRequests;
 
-    @Column(name = "Status", length = 20, nullable = false)
-    private String reservationStatus;
+    @Column(name = "Status", length = 20, nullable = false, columnDefinition = "VARCHAR default 'Pending'")
+    private String status;
 
     @Column(name = "CheckInTime")
     private LocalDateTime checkInTime;
 
-    @Getter
     @Column(name = "CheckOutTime")
     private LocalDateTime checkOutTime;
 
-    @OneToMany(mappedBy = "reservation", cascade = CascadeType.ALL, orphanRemoval = true, fetch = FetchType.LAZY)
-    private List<PreorderedItem> preOrderedItems = new ArrayList<>();
+//    @Column(name = "TotalAmount", precision = 8, scale = 2)
+//    private BigDecimal totalAmount;//rezervacija so depozit ako e
 
-    @Column(name = "PaymentStatus", length = 20, nullable = false, columnDefinition = "VARCHAR default 'Unpaid'")
+    @Column(name = "Pa`ymentStatus", length = 20, nullable = false, columnDefinition = "VARCHAR default 'Unpaid'")
     private String paymentStatus;
 
@@ -68,8 +55,11 @@
     }
 
+    // Constructors, getters, setters, and other methods...
+
     @PrePersist
     private void prePersist() {
-        if (reservationStatus == null) {
-            reservationStatus = "Pending";
+        // Set default values or perform any pre-persistence logic if needed
+        if (status == null) {
+            status = "Pending";
         }
         if (paymentStatus == null) {
@@ -78,12 +68,12 @@
     }
 
-    public Reservation(User user, TableEntity table, Restaurant restaurant, LocalDateTime reservationDateTime, int partySize, String specialRequests, String status, LocalDateTime checkInTime, LocalDateTime checkOutTime, String paymentStatus) {
+    public Reservation(Customer customer, TableEntity table, Restaurant restaurant, LocalDateTime reservationDateTime, int partySize, String specialRequests, String status, LocalDateTime checkInTime, LocalDateTime checkOutTime, String paymentStatus) {
+//        this.customer = customer;
         this.table = table;
-        this.user = user;
         this.restaurant = restaurant;
         this.reservationDateTime = reservationDateTime;
         this.partySize = partySize;
         this.specialRequests = specialRequests;
-        this.reservationStatus = status;
+        this.status = status;
         this.checkInTime = checkInTime;
         this.checkOutTime = checkOutTime;
@@ -91,4 +81,91 @@
     }
 
+    public Long getReservationID() {
+        return reservationID;
+    }
+
+    public void setReservationID(Long reservationID) {
+        this.reservationID = reservationID;
+    }
+
+    public Customer getCustomer() {
+        return customer;
+    }
+
+    public void setCustomer(Customer customer) {
+        this.customer = customer;
+    }
+
+    public TableEntity getTable() {
+        return table;
+    }
+
+    public void setTable(TableEntity table) {
+        this.table = table;
+    }
+
+    public Restaurant getRestaurant() {
+        return restaurant;
+    }
+
+    public void setRestaurant(Restaurant restaurant) {
+        this.restaurant = restaurant;
+    }
+
+    public LocalDateTime getReservationDateTime() {
+        return reservationDateTime;
+    }
+
+    public void setReservationDateTime(LocalDateTime reservationDateTime) {
+        this.reservationDateTime = reservationDateTime;
+    }
+
+    public int getPartySize() {
+        return partySize;
+    }
+
+    public void setPartySize(int partySize) {
+        this.partySize = partySize;
+    }
+
+    public String getSpecialRequests() {
+        return specialRequests;
+    }
+
+    public void setSpecialRequests(String specialRequests) {
+        this.specialRequests = specialRequests;
+    }
+
+    public String getStatus() {
+        return status;
+    }
+
+    public void setStatus(String status) {
+        this.status = status;
+    }
+
+    public LocalDateTime getCheckInTime() {
+        return checkInTime;
+    }
+
+    public void setCheckInTime(LocalDateTime checkInTime) {
+        this.checkInTime = checkInTime;
+    }
+
+    public LocalDateTime getCheckOutTime() {
+        return checkOutTime;
+    }
+
+    public void setCheckOutTime(LocalDateTime checkOutTime) {
+        this.checkOutTime = checkOutTime;
+    }
+
+    public String getPaymentStatus() {
+        return paymentStatus;
+    }
+
+    public void setPaymentStatus(String paymentStatus) {
+        this.paymentStatus = paymentStatus;
+    }
 
     @Override
@@ -96,5 +173,5 @@
         return "Reservation{" +
                 "reservationID=" + reservationID +
-                ", customer=" + user +
+                ", customer=" + customer +
                 ", table=" + table +
                 ", restaurant=" + restaurant +
@@ -102,5 +179,5 @@
                 ", partySize=" + partySize +
                 ", specialRequests='" + specialRequests + '\'' +
-                ", status='" + reservationStatus + '\'' +
+                ", status='" + status + '\'' +
                 ", checkInTime=" + checkInTime +
                 ", checkOutTime=" + checkOutTime +
Index: src/main/java/com/example/rezevirajmasa/demo/model/Restaurant.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/Restaurant.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/model/Restaurant.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -12,4 +12,5 @@
 @Table(name = "restaurants")
 public class Restaurant {
+
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -42,5 +43,5 @@
 
     @JsonManagedReference
-    @OneToMany(mappedBy = "restaurant", cascade = CascadeType.ALL, fetch = FetchType.LAZY)
+    @OneToMany(mappedBy = "restaurant", cascade = CascadeType.ALL, fetch = FetchType.EAGER)
     private List<TableEntity> tablesList;
 
@@ -146,9 +147,9 @@
         @Id
         @GeneratedValue(strategy = GenerationType.IDENTITY)
-        private Long reservationHistoryId;
+        private Long id;
 
         @ManyToOne
         @JoinColumn(name = "customer_id")
-        private User user;
+        private Customer customer;
 
         @ManyToOne
@@ -158,5 +159,5 @@
         @ManyToOne
         @JoinColumn(name = "restaurant_id")
-        private Restaurant restaurant;
+        private Restaurant restaurant; // Add this field
 
         @Column(name = "reservation_datetime")
@@ -170,14 +171,14 @@
 
         @Column(name = "status")
-        private String reservationStatus;
+        private String status; // Completed, Canceled, etc.
 
         @Column(name = "cancellation_reason")
         private String cancellationReason;
 
-        @Column(name = "check_in_date")
+        @Column(name = "check_in_date") // Add this field
         private LocalDateTime checkInDate;
 
-        public ReservationHistory(User user, TableEntity table, Restaurant restaurant, LocalDateTime reservationDateTime, int partySize, String specialRequests, String status, String cancellationReason, LocalDateTime checkInDate) {
-            this.user = user;
+        public ReservationHistory(Customer customer, TableEntity table, Restaurant restaurant, LocalDateTime reservationDateTime, int partySize, String specialRequests, String status, String cancellationReason, LocalDateTime checkInDate) {
+            this.customer = customer;
             this.table = table;
             this.restaurant = restaurant;
@@ -185,5 +186,5 @@
             this.partySize = partySize;
             this.specialRequests = specialRequests;
-            this.reservationStatus = status;
+            this.status = status;
             this.cancellationReason = cancellationReason;
             this.checkInDate = checkInDate;
@@ -194,17 +195,17 @@
 
         public Long getId() {
-            return reservationHistoryId;
+            return id;
         }
 
         public void setId(Long id) {
-            this.reservationHistoryId = id;
-        }
-
-        public User getUser() {
-            return user;
-        }
-
-        public void setUser(User user) {
-            this.user = user;
+            this.id = id;
+        }
+
+        public Customer getCustomer() {
+            return customer;
+        }
+
+        public void setCustomer(Customer customer) {
+            this.customer = customer;
         }
 
@@ -242,9 +243,9 @@
 
         public String getStatus() {
-            return reservationStatus;
+            return status;
         }
 
         public void setStatus(String status) {
-            this.reservationStatus = status;
+            this.status = status;
         }
 
@@ -276,6 +277,6 @@
         public String toString() {
             return "ReservationHistory{" +
-                    "id=" + reservationHistoryId +
-                    ", user=" + user +
+                    "id=" + id +
+                    ", customer=" + customer +
                     ", table=" + table +
                     ", restaurant=" + restaurant +
@@ -283,5 +284,5 @@
                     ", partySize=" + partySize +
                     ", specialRequests='" + specialRequests + '\'' +
-                    ", status='" + reservationStatus + '\'' +
+                    ", status='" + status + '\'' +
                     ", cancellationReason='" + cancellationReason + '\'' +
                     ", checkInDate=" + checkInDate +
Index: src/main/java/com/example/rezevirajmasa/demo/model/RestaurantMenu.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/RestaurantMenu.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/model/RestaurantMenu.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,40 @@
+package com.example.rezevirajmasa.demo.model;
+
+import jakarta.persistence.*;
+
+import java.io.Serializable;
+
+@Entity
+@Table(name = "restaurantMenus")
+public class RestaurantMenu {
+    @EmbeddedId
+    private RestaurantMenuId id;
+
+    @ManyToOne
+    @MapsId("restaurantID")
+    @JoinColumn(name = "RestaurantID", nullable = false)
+    private Restaurant restaurant;
+
+    @ManyToOne
+    @MapsId("menuID")
+    @JoinColumn(name = "MenuID", nullable = false)
+    private Menu menu;
+
+    public RestaurantMenu(Restaurant restaurant, Menu menu) {
+        this.restaurant = restaurant;
+        this.menu = menu;
+    }
+
+    public RestaurantMenu() {
+    }
+
+    @Embeddable
+    public static class RestaurantMenuId implements Serializable {
+
+        @Column(name = "RestaurantID")
+        private Long restaurantID;
+
+        @Column(name = "MenuID")
+        private Long menuID;
+    }
+}
Index: src/main/java/com/example/rezevirajmasa/demo/model/TableEntity.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/TableEntity.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/model/TableEntity.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -2,9 +2,5 @@
 
 import com.fasterxml.jackson.annotation.JsonBackReference;
-import com.fasterxml.jackson.annotation.JsonIgnore;
-import com.fasterxml.jackson.annotation.JsonManagedReference;
 import jakarta.persistence.*;
-import lombok.Getter;
-import lombok.Setter;
 import org.springframework.web.bind.annotation.ModelAttribute;
 
@@ -19,6 +15,4 @@
 
 @Entity
-@Getter
-@Setter
 @Table(name = "tables")
 public class TableEntity {
@@ -29,5 +23,5 @@
 
     @JsonBackReference
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.EAGER)
     @JoinColumn(name = "RestaurantID")
     private Restaurant restaurant;
@@ -36,6 +30,6 @@
     private int capacity;
 
-    @Column(name = "tableLocation")
-    private String tableLocation;
+    @Column(name = "Location")
+    private String location;
 
     @Column(name = "IsSmokingArea")
@@ -45,57 +39,98 @@
     private String description;
 
+    @ElementCollection(fetch = FetchType.EAGER)
+    @CollectionTable(name = "table_time_slots", joinColumns = @JoinColumn(name = "table_id"))
+    @Column(name = "time_slot", columnDefinition = "timestamp without time zone")
+    @OrderBy("time_slot ASC")
+    private List<LocalDateTime> timeSlots = new ArrayList<>();
+
     @Column(name = "reservation_duration_hours", nullable = true)
     private int reservationDurationHours = 2;
-
-    @OneToMany(mappedBy = "table", cascade = CascadeType.ALL, fetch = FetchType.LAZY)
-    @JsonIgnore
-    private List<Reservation> reservations = new ArrayList<>();
-
     public void cleanUnusedTimeSlots(LocalDate threeDaysAgo) {
-        reservations.removeIf(reservation -> reservation.getReservationDateTime().toLocalDate().isBefore(threeDaysAgo));
-    }
-
-    public boolean isAvailable(LocalDateTime desiredTimeSlot, int partySize) {
-        if (this.capacity < partySize) {
-            return false;
-        }
-
-        for (Reservation reservation : reservations) {
-            LocalDateTime startTime = reservation.getReservationDateTime();
-            LocalDateTime endTime = startTime.plusHours(reservation.getTable().getReservationDurationHours());
-
-            if ((desiredTimeSlot.isEqual(startTime) || desiredTimeSlot.isAfter(startTime))
+        // Iterate over the time slots and remove those that are in the past
+        timeSlots.removeIf(timeSlot -> timeSlot.isBefore(threeDaysAgo.atStartOfDay()));
+    }
+
+    public void addTimeSlot(LocalDateTime timeSlot) {
+        this.timeSlots.add(timeSlot);
+    }
+
+
+    @Transient
+    public boolean isAvailable(LocalDateTime desiredTimeSlot) {
+        if (timeSlots == null || timeSlots.isEmpty()) {
+            return true;
+        }
+
+        for (LocalDateTime reservedTimeSlot : timeSlots) {
+            LocalDateTime endTime = reservedTimeSlot.plusHours(reservationDurationHours);
+
+            // Check if the desired time slot overlaps with any existing reservation
+            if ((desiredTimeSlot.equals(reservedTimeSlot) || desiredTimeSlot.isAfter(reservedTimeSlot))
                     && desiredTimeSlot.isBefore(endTime)) {
-                return false;
+                return false; // Table is reserved for the desired time slot
             }
         }
 
-        return true;
-    }
-
-    public void addReservation(Reservation reservation) {
-        LocalDateTime startTime = reservation.getReservationDateTime();
-        LocalDateTime endTime = startTime.plusHours(reservation.getTable().getReservationDurationHours());
-        for (LocalDateTime timeSlot = startTime; timeSlot.isBefore(endTime); timeSlot = timeSlot.plusMinutes(15)) {
-
-        }
-        this.reservations.add(reservation);
-    }
-
-    public void removeReservation(Reservation reservation) {
-        LocalDateTime startTime = reservation.getReservationDateTime();
-        LocalDateTime endTime = startTime.plusHours(reservation.getTable().getReservationDurationHours());
-        for (LocalDateTime timeSlot = startTime; timeSlot.isBefore(endTime); timeSlot = timeSlot.plusMinutes(15)) {
-
-        }
-        this.reservations.remove(reservation);
-    }
-
-    public TableEntity(Restaurant restaurant, int capacity, String location, boolean isSmokingArea, String description, int reservationDurationHours) {
+        return true; // No conflicting reservations, table is available
+    }
+
+    public boolean hasTimeSlot(LocalDateTime dateTime) {
+        // Check if the given dateTime exists in the list of time slots
+        return timeSlots.contains(dateTime);
+    }
+
+    public List<LocalDateTime> initializeTimeSlots(LocalTime startTime, LocalTime endTime, List<LocalDate> dates, List<LocalDateTime> listOfUsedCheckIns) {
+        // Check if time slots are already initialized and cover all provided dates
+        List<LocalDate> generatedDates = timeSlots.stream()
+                .map(LocalDateTime::toLocalDate)
+                .distinct()
+                .toList();
+
+        if (generatedDates.containsAll(dates) && dates.containsAll(generatedDates)) {
+            System.out.println("Time slots already cover all provided dates.");
+            return timeSlots;
+        }
+
+        // Generate time slots for the remaining dates
+        for (LocalDate date : dates) {
+            if (!generatedDates.contains(date)) {
+                LocalTime currentTime = startTime;
+                while (currentTime.isBefore(LocalTime.of(23, 0))) {
+                    LocalDateTime currentDateTime = LocalDateTime.of(date, currentTime);
+                    boolean isUsed = false;
+                    if (listOfUsedCheckIns != null) {
+                        for (LocalDateTime checkIns : listOfUsedCheckIns) {
+                            if (checkIns.isEqual(currentDateTime)) {
+                                isUsed = true;
+                                break;
+                            }
+                        }
+                    }
+                    if (!isUsed) {
+                        timeSlots.add(currentDateTime);
+                        System.out.println("Added time slot: " + currentDateTime); // Debug output
+                    } else {
+                        // Remove conflicting time slots
+                        timeSlots.removeIf(x -> x.isAfter(currentDateTime.minusHours(2)) && x.isBefore(currentDateTime.plusHours(2)));
+                    }
+                    // Increment currentTime
+                    currentTime = currentTime.plusMinutes(15);
+                }
+            }
+        }
+
+        return timeSlots;
+    }
+
+
+
+    public TableEntity(Restaurant restaurant, int capacity, String location, boolean isSmokingArea, String description, List<LocalDateTime> timeSlots, int reservationDurationHours) {
         this.restaurant = restaurant;
         this.capacity = capacity;
-        this.tableLocation = location;
+        this.location = location;
         this.isSmokingArea = isSmokingArea;
         this.description = description;
+        this.timeSlots = timeSlots;
         this.reservationDurationHours = reservationDurationHours;
     }
@@ -103,3 +138,67 @@
     public TableEntity() {
     }
+
+    public Long getId() {
+        return id;
+    }
+
+    public void setId(Long id) {
+        this.id = id;
+    }
+
+    public Restaurant getRestaurant() {
+        return restaurant;
+    }
+
+    public void setRestaurant(Restaurant restaurant) {
+        this.restaurant = restaurant;
+    }
+
+    public int getCapacity() {
+        return capacity;
+    }
+
+    public void setCapacity(int capacity) {
+        this.capacity = capacity;
+    }
+
+    public String getLocation() {
+        return location;
+    }
+
+    public void setLocation(String location) {
+        this.location = location;
+    }
+
+    public void setSmokingArea(Boolean isSmokingArea) {
+        this.isSmokingArea = isSmokingArea;
+    }
+
+    public void setSmokingArea(boolean smokingArea) {
+        isSmokingArea = smokingArea;
+    }
+
+    public String getDescription() {
+        return description;
+    }
+
+    public void setDescription(String description) {
+        this.description = description;
+    }
+
+    public List<LocalDateTime> getTimeSlots() {
+        return timeSlots;
+    }
+
+    public void setTimeSlots(List<LocalDateTime> timeSlots) {
+        this.timeSlots = timeSlots;
+    }
+
+    public int getReservationDurationHours() {
+        return reservationDurationHours;
+    }
+
+    public void setReservationDurationHours(int reservationDurationHours) {
+        this.reservationDurationHours = reservationDurationHours;
+    }
 }
Index: src/main/java/com/example/rezevirajmasa/demo/repository/CustomerRepository.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/repository/CustomerRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/repository/CustomerRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,8 @@
+package com.example.rezevirajmasa.demo.repository;
+
+import com.example.rezevirajmasa.demo.model.Customer;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CustomerRepository extends JpaRepository<Customer, Long> {
+    Customer findByEmail(String email);
+}
Index: src/main/java/com/example/rezevirajmasa/demo/repository/ReservationHistoryRepository.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/repository/ReservationHistoryRepository.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/repository/ReservationHistoryRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,6 +1,8 @@
 package com.example.rezevirajmasa.demo.repository;
 
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.Reservation;
 import com.example.rezevirajmasa.demo.model.Restaurant;
-import com.example.rezevirajmasa.demo.model.User;
+import org.springframework.cglib.core.Local;
 import org.springframework.data.jpa.repository.JpaRepository;
 
@@ -9,5 +11,6 @@
 
 public interface ReservationHistoryRepository extends JpaRepository<Restaurant.ReservationHistory, Long> {
-    List<Restaurant.ReservationHistory> findALlByUser(User user);
+    List<Restaurant.ReservationHistory> findAllByCustomer(Customer customer);
+    List<Restaurant.ReservationHistory> findByCheckInDateBeforeAndStatus(LocalDateTime currentTime, String scheduled);
     List<Restaurant.ReservationHistory> findAllByCheckInDateBefore(LocalDateTime currentTime);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/repository/ReservationRepository.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/repository/ReservationRepository.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/repository/ReservationRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,5 +1,8 @@
 package com.example.rezevirajmasa.demo.repository;
 
-import com.example.rezevirajmasa.demo.model.*;
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Restaurant;
+import com.example.rezevirajmasa.demo.model.TableEntity;
 import org.springframework.data.jpa.repository.JpaRepository;
 
@@ -8,5 +11,5 @@
 
 public interface ReservationRepository extends JpaRepository<Reservation, Long> {
-    List<Reservation> findALlByUserAndCheckInTimeAfter(User user, LocalDateTime now);
+    List<Reservation> findAllByCustomer(Customer customer);
     List<Reservation> findByTableAndCheckInTimeBetween(TableEntity table, LocalDateTime startTime, LocalDateTime endTime);
 
@@ -14,11 +17,3 @@
     List<Reservation> findAllByCheckInTimeBefore(LocalDateTime currentTime);
     List<Reservation> findByCheckInTimeAfterAndCheckInTimeBefore(LocalDateTime startTime, LocalDateTime endTime);
-    List<Reservation> findALlByUserAndCheckInTimeBefore(User user, LocalDateTime now);
-    List<Reservation> findAllByUser(User user);
-
-    List<Reservation> findAllByUserAndCheckInTimeAfter(User user, LocalDateTime now);
-
-    List<Reservation> findAllByUserAndCheckInTimeBefore(User user, LocalDateTime now);
-    List<Reservation> findAllByTableAndCheckInTime(TableEntity table, LocalDateTime now);
-    List<Reservation> findAllByRestaurantAndCheckInTimeAfter(Restaurant restaurant, LocalDateTime now);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/repository/RestaurantRepository.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/repository/RestaurantRepository.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/repository/RestaurantRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -4,14 +4,7 @@
 import com.example.rezevirajmasa.demo.model.TableEntity;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
 
 import java.util.List;
 
 public interface RestaurantRepository extends JpaRepository<Restaurant, Long> {
-    List<Restaurant> findAllByNameLikeIgnoreCase(String search);
-    List<Restaurant> findAllByCuisineTypeContaining(String search);
-    @Query("SELECT DISTINCT r.cuisineType FROM Restaurant r")
-    List<String> findAllCuisineTypes();
-    List<Restaurant> findAllByCuisineType(String cuisine);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/repository/TableRepository.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/repository/TableRepository.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/repository/TableRepository.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -7,14 +7,9 @@
 import org.springframework.data.repository.query.Param;
 
-import java.time.LocalDateTime;
 import java.util.List;
 
 public interface TableRepository extends JpaRepository<TableEntity, Long> {
     List<TableEntity> findByRestaurant(Restaurant restaurant);
-    List<TableEntity> findAllByCapacityGreaterThanEqual(int capacity);
-    @Query("SELECT t FROM TableEntity t WHERE t.capacity >= :capacity AND NOT EXISTS (" +
-            "SELECT r FROM t.reservations r WHERE r.checkInTime <= :checkOutTime AND r.checkOutTime >= :checkInTime)")
-    List<TableEntity> findAvailableTables(@Param("checkInTime") LocalDateTime checkInTime,
-                                          @Param("checkOutTime") LocalDateTime checkOutTime,
-                                          @Param("capacity") int capacity);
+//    @Query("SELECT t FROM TableEntity t JOIN FETCH t.restaurant WHERE t.id = :id")
+//    TableEntity findTableEntityByIdWithRestaurant(@Param("id") Long id);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,21 @@
+package com.example.rezevirajmasa.demo.service;
+
+import ch.qos.logback.core.net.server.Client;
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.MembershipLevel;
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Role;
+
+import java.util.Date;
+import java.util.List;
+
+
+public interface CustomerService {
+    Customer registration(String firstName, String lastName, String email, String password, String phone, String address, MembershipLevel membershipLevel, Role role);
+    List<Customer> listAll();
+    Customer findByEmail(String email);
+    Customer findById(Long id);
+    Customer updateCustomer(Long id, String firstName, String lastName, String email, String password, String phone, String address, MembershipLevel membershipLevel);
+    Customer registration(Customer customer);
+    boolean deleteById(Long customerId);
+}
Index: src/main/java/com/example/rezevirajmasa/demo/service/ReservationHistoryService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/ReservationHistoryService.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/ReservationHistoryService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,7 +1,7 @@
 package com.example.rezevirajmasa.demo.service;
 
+import com.example.rezevirajmasa.demo.model.Customer;
 import com.example.rezevirajmasa.demo.model.Reservation;
 import com.example.rezevirajmasa.demo.model.Restaurant;
-import com.example.rezevirajmasa.demo.model.User;
 
 import java.time.LocalDateTime;
@@ -10,7 +10,6 @@
 public interface ReservationHistoryService {
     public void moveReservationToHistory(Reservation reservation, String status, String cancellationReason);
-//    public void moveReservationToCancelled(Reservation reservation, String status, String cancellationReason);
     public void moveReservationsToPast(List<Restaurant.ReservationHistory> reservationsToMove);
-    List<Restaurant.ReservationHistory> findByUser(User user);
+    List<Restaurant.ReservationHistory> findByCustomer(Customer customer);
     List<Restaurant.ReservationHistory> findAll();
     List<Restaurant.ReservationHistory> findReservationsToMove(LocalDateTime currentTime);
